Class WebOperationInvocationArguments.Builder
java.lang.Object
org.springframework.boot.actuate.endpoint.web.WebOperationInvocationArguments.Builder
- Enclosing class:
WebOperationInvocationArguments
Builder used to create invocation arguments from the various parts of a web
request.
- Since:
- 4.0.9.1
- Author:
- Phillip Webb
-
Method Summary
Modifier and TypeMethodDescriptionvoidInclude elements from the request body.voidpathParameters(Map<String, ?> pathParameters) Include elements from the request path parameters.voidqueryParameters(Map<String, ?> queryParameters) Include elements from the request query parameters.voidremainPathSegments(Function<String, String[]> remainPathSegments) Include the remaining path segments if needed.
-
Method Details
-
queryParameters
-
pathParameters
-
body
-
remainPathSegments
-